FaxTIFFTagSet (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.imageio.plugins.tiff, class: FaxTIFFTagSet
Keywords: javax.imageio.plugins.tiff.FaxTIFFTagSet class

Module java.desktop
Package javax.imageio.plugins.tiff

# Class FaxTIFFTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet
javax.imageio.plugins.tiff.FaxTIFFTagSet

    public final class FaxTIFFTagSet
    extends TIFFTagSet

A class representing the extra tags found in a TIFF-F (RFC 2036) file.

Since:
  9

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CLEAN_FAX_DATA_ERRORS_CORRECTED` | A value to be used with the "CleanFaxData" tag.
  `static int` | `CLEAN_FAX_DATA_ERRORS_UNCORRECTED` | A value to be used with the "CleanFaxData" tag.
  `static int` | `CLEAN_FAX_DATA_NO_ERRORS` | A value to be used with the "CleanFaxData" tag.
  `static int` | `TAG_BAD_FAX_LINES` | Tag indicating the number of bad fax lines (type SHORT or LONG).
  `static int` | `TAG_CLEAN_FAX_DATA` | Tag indicating the number of lines of clean fax data (type SHORT).
  `static int` | `TAG_CONSECUTIVE_BAD_LINES` | Tag indicating the number of consecutive bad lines (type SHORT or LONG).

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FaxTIFFTagSet` | `getInstance()` | Returns a shared instance of a `FaxTIFFTagSet`.

  ### Methods declared in class javax.imageio.plugins.tiff.TIFFTagSet

  `getTag, getTag, getTagNames, getTagNumbers`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_BAD_FAX_LINES

    public static final int TAG_BAD_FAX_LINES
    Tag indicating the number of bad fax lines (type SHORT or LONG).
    See Also:
      Constant Field Values

  - ### TAG_CLEAN_FAX_DATA

    public static final int TAG_CLEAN_FAX_DATA
    Tag indicating the number of lines of clean fax data (type SHORT).
    See Also:
      `CLEAN_FAX_DATA_NO_ERRORS`, `CLEAN_FAX_DATA_ERRORS_CORRECTED`, `CLEAN_FAX_DATA_ERRORS_UNCORRECTED`, Constant Field Values

  - ### CLEAN_FAX_DATA_NO_ERRORS

    public static final int CLEAN_FAX_DATA_NO_ERRORS
    A value to be used with the "CleanFaxData" tag.
    See Also:
      `TAG_CLEAN_FAX_DATA`, Constant Field Values

  - ### CLEAN_FAX_DATA_ERRORS_CORRECTED

    public static final int CLEAN_FAX_DATA_ERRORS_CORRECTED
    A value to be used with the "CleanFaxData" tag.
    See Also:
      `TAG_CLEAN_FAX_DATA`, Constant Field Values

  - ### CLEAN_FAX_DATA_ERRORS_UNCORRECTED

    public static final int CLEAN_FAX_DATA_ERRORS_UNCORRECTED
    A value to be used with the "CleanFaxData" tag.
    See Also:
      `TAG_CLEAN_FAX_DATA`, Constant Field Values

  - ### TAG_CONSECUTIVE_BAD_LINES

    public static final int TAG_CONSECUTIVE_BAD_LINES
    Tag indicating the number of consecutive bad lines (type SHORT or LONG).
    See Also:
      Constant Field Values

- ## Method Details

  - ### getInstance

    public static FaxTIFFTagSet getInstance()
    Returns a shared instance of a `FaxTIFFTagSet`.
    Returns:
      a `FaxTIFFTagSet` instance.